GET /api/v3/energyStar/task

Get a list of ENERGY STAR tasks with their details

GetEnergyStarTasksV3 Permissions: ENERGYSTARSubmissions (Run)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter Filters to apply string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
beginDate Begin Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
fullName Full Name String equals not equals one of like not like not one of
systemUserCode Username String equals not equals one of like not like not one of
systemUserID Integer equals not equals less than between one of greater than less than equal greater than equal not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarTaskResponse
Property Description Type
beginDate The date the submission was initiated string (date-time)
energyStarTaskId The task identifier integer (int32)
metricsRetrievalLogFileName Filename of the log containing errors or alerts encountered during metrics retrieval string
metricsRetrievalTaskStatus Status for the metrics retrieval portion of the task string
numberOfPlaces The number of buildings in the submission integer (int32)
places The list of buildings/submission periods in the submission EnergyStarTaskPlaceChild[]
EnergyStarTaskPlaceChild properties
Property Description Type
building PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
taskPeriods The list of submission or metrics periods for the task NamedPeriod[]
NamedPeriod properties
Property Description Type
period Value of the period in format (YYYYPP) PP may be a calendar month (e.g. 01-12) but it could be an accounting period (e.g. 01-13) integer (int32)
periodName Name of the period to be displayed Should be empty if billing period string
submissionLogFileName Filename of the log containing errors encountered during submission Will be null if this task is only for metrics retrieval or if there were no errors during submission string
submissionTaskStatus Status for the submission portion of the task string
submissionType SubmissionTypeResponse
SubmissionTypeResponse properties
Property Description Type
submissionTypeId The identifier for the submission type integer (int32)
submissionTypeName The name of the submission type string
taskType The task type string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
Example Response application/json
[
  {    "beginDate": "2026-03-30",    "energyStarTaskId": 1,    "metricsRetrievalLogFileName": "string",    "metricsRetrievalTaskStatus": "string",    "numberOfPlaces": 1,    "places": [
      {      "building": {},      "taskPeriods": []
    }
    ],    "submissionLogFileName": "string",    "submissionTaskStatus": "string",    "submissionType": {      "submissionTypeId": 1,      "submissionTypeName": "string"
    },    "taskType": "string",    "user": {      "fullName": "string",      "userCode": "string",      "userId": 1
    }
  }
]